@import "../../../style/variables";
.auth-leftpanel-wrapper {
  position: relative;
  padding: 20px 0;
  width: 100%;
  overflow: hidden;
  background-color: white;
  height: 100vh;
  z-index: 101;
  position: relative;

  button {
    background-color: white;
    color: $MAIN_COLOR;
    display: block;
    margin: 0 auto;
    width: 90%;
    height: 40px;
    border-bottom: solid 1px $LINK_COLOR;
  }
  button:hover {
    background-color: rgba(12, 29, 44, 0.05);
    border-bottom: solid 1px $RED_COLOR;
  }
  button:last-child {
    vertical-align: bottom;
    position: absolute;
    bottom: 5%;
    left: 5%;
  }
}
.auth-leftpanel-wrapper-white {
  button {
    color: black;
    border: solid 1px black;
  }
  button:hover {
    background-color: white;
    border: solid 1px black;
  }
}
.auth-leftpanel-wrapper-black {
  background-color: black;
  button {
    background-color: black;
    color: white;
    border: solid 1px white;
  }
  button:hover {
    background-color: black;
    border: solid 1px white;
  }
}
.auth-leftpanel-wrapper-contrast {
  background-color: $BACK_CONTRAST;
  button {
    background-color: $BACK_CONTRAST;
    color: $FONT_CONTRAST;
    border: solid 1px $FONT_CONTRAST;
  }
  button:hover {
    background-color: $BACK_CONTRAST;
    border: solid 1px $FONT_CONTRAST;
  }
}
.auth-margin {
  padding-top: 20px !important;
}
.auth-wrapper {
  display: flex;
  flex-wrap: wrap;
  width: fit-content;
  justify-content: center;
  min-height: 600px;
  margin: 0 auto;
  -webkit-box-shadow: 0px 2px 10px -7px rgba(12, 28, 43, 0.81);
  -moz-box-shadow: 0px 2px 10px -7px rgba(12, 28, 43, 0.81);
  box-shadow: 0px 2px 10px -7px rgba(12, 28, 43, 0.81);
  .cards {
    width: 400px;
    background-color: white;
    padding: 15px;
    margin: 0;
    position: relative;
    button {
      background-color: white;
      color: $MAIN_COLOR;
      display: block;
      margin: 0 auto;
      width: 90%;
      height: 40px;
      border-bottom: solid 1px $LINK_COLOR;
    }
    button:hover {
      background-color: rgba(12, 29, 44, 0.05);
      border-bottom: solid 1px $RED_COLOR;
    }
    button:last-child {
      vertical-align: bottom;
      position: absolute;
      bottom: 5%;
      left: 5%;
    }
  }
  div:first-child {
    border-right: solid 1px rgba(12, 28, 43, 0.175);
  }
}
.auth-wrapper-white {
  border: solid 1px black;
  color: black;
  div:first-child {
    border-right: solid 1px rgba(12, 28, 43, 0.175);
  }
}
.auth-wrapper-black {
  border: solid 1px white;
  color: white;
  .cards {
    background-color: black;
    button {
      color: white;
      background-color: black;
      border: solid 1px white;
    }
    button:hover {
      border-bottom: solid 1px white;
    }
  }
  div:first-child {
    border-right: solid 1px rgba(12, 28, 43, 0.175);
  }
}
.auth-wrapper-contrast {
  border: solid 1px $BACK_CONTRAST;
  color: $FONT_CONTRAST;
  .cards {
    background-color: $BACK_CONTRAST;
    button {
      color: $FONT_CONTRAST;
      background-color: $BACK_CONTRAST;
      border: solid 1px $FONT_CONTRAST;
    }
    button:hover {
      border-bottom: solid 1px $FONT_CONTRAST;
    }
  }
  div:first-child {
    border-right: solid 1px rgba(12, 28, 43, 0.175);
  }
}

@media screen and (max-width: 820px) {
  .auth-wrapper {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    div:first-child {
      border-right: none;
      border-bottom: solid 1px rgba(12, 28, 43, 0.175);
    }
  }
}
@media screen and (max-width: 421px) {
  .auth-wrapper {
    width: 100%;
    .cards {
      max-width: 95%;
    }
  }
}
